Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQPreparedExpression

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQDynamicContext
          net.sf.saxon.xqj.SaxonXQPreparedExpression

All Implemented Interfaces:
  XQDynamicContext, XQPreparedExpression

    public class SaxonXQPreparedExpression

extends SaxonXQDynamicContext
implements XQPreparedExpression

Saxon implementation of the XQJ interface XQPreparedExpression. This represents a compiled XQuery expression, together with the dynamic context for its evaluation. Note that this means the object should not be used in more than one thread concurrently.

Note that an expression is scrollable or not depending on the scrollability property of the XQConnection that was used to compile this expression (at the time it was compiled). If the expression is scrollable then its results are delivered in an XQSequence that supports scrolling backwards as well as forwards.

For full Javadoc details, see the XQJ interface specification.

Method Summary
`void` | `cancel()`
`void` | `clearWarnings()`
`void` | `close()`
`XQResultSequence` | `executeQuery()`
`QName[]` | `getAllExternalVariables()`
`int` | `getQueryTimeout()`
`XQSequenceType` | `getStaticResultType()`
`XQSequenceType` | `getStaticVariableType(QName name)`
`QName[]` | `getUnboundExternalVariables()`
`XQWarning` | `getWarnings()`
`boolean` | `isClosed()`
`void` | `setQueryTimeout(int seconds)`

Methods inherited from class net.sf.saxon.xqj.SaxonXQDynamicContext
`bindAtomicValue, bindBoolean, bindByte, bindContextItem, bindDocument, bindDouble, bindFloat, bindInt, bindItem, bindLong, bindNode, bindObject, bindSequence, bindShort, getImplicitTimeZone, setImplicitTimeZone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQDynamicContext
`bindAtomicValue, bindBoolean, bindByte, bindContextItem, bindDocument, bindDouble, bindFloat, bindInt, bindItem, bindLong, bindNode, bindObject, bindSequence, bindShort, getImplicitTimeZone, setImplicitTimeZone`

Method Detail

### cancel

    public void cancel()
                throws XQException

  Specified by:
    `cancel` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### clearWarnings

    public void clearWarnings()

  Specified by:
    `clearWarnings` in interface `XQPreparedExpression`

### close

    public void close()

  Specified by:
    `close` in interface `XQPreparedExpression`

### executeQuery

    public XQResultSequence executeQuery()
                                  throws XQException

  Specified by:
    `executeQuery` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### getAllExternalVariables

    public QName[] getAllExternalVariables()
                                    throws XQException

  Specified by:
    `getAllExternalVariables` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### getUnboundExternalVariables

    public QName[] getUnboundExternalVariables()
                                        throws XQException

  Specified by:
    `getUnboundExternalVariables` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws XQException

  Specified by:
    `getQueryTimeout` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### getStaticResultType

    public XQSequenceType getStaticResultType()
                                       throws XQException

  Specified by:
    `getStaticResultType` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### getStaticVariableType

    public XQSequenceType getStaticVariableType(QName name)
                                         throws XQException

  Specified by:
    `getStaticVariableType` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### getWarnings

    public XQWarning getWarnings()
                          throws XQException

  Specified by:
    `getWarnings` in interface `XQPreparedExpression`
  Throws:
    `XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `XQPreparedExpression`

### setQueryTimeout

    public void setQueryTimeout(int seconds)

  Specified by:
    `setQueryTimeout` in interface `XQPreparedExpression`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.